5.3.0-git
2016-08-24

[#11120] Non-UTF-8 content in PGP signatures break preview
Summary Non-UTF-8 content in PGP signatures break preview
Queue IMP
Queue Version Git master
Type Enhancement
State Resolved
Priority 1. Low
Owners
Requester jan (at) horde (dot) org
Created 2012-03-30 (1608 days ago)
Due
Updated 2016-01-28 (209 days ago)
Assigned
Resolved 2016-01-28 (209 days ago)
Milestone
Patch No

History
2016-01-28 15:14:06 Jan Schneider State ⇒ Resolved
 
2012-12-20 13:46:35 orozas (at) live (dot) cl Comment #5 Reply to this comment

[Show Quoted Text - 11 lines]
Hello, when write a new message and after save to draft folder... the 
latin chars appear : for example : Ñ -> Ã? this case is for all latin 
char.
the composing message is in html format, in text format no present problems.

The signature preview, it see correctly. but when saved a message to 
draft folder, and then open this messages, the latin chars  in the 
signature appear changed for others.


2012-04-02 20:05:52 Michael Slusarz Comment #4 Reply to this comment
And you see correct latin characters in the signature's names in 
both the preview and the popup view?
No - the characters are not shown correctly in popup, but are in 
preview.  But IIRC, this was/is a known limitation of trying to do 
signature verification using command line - it is why I have looked 
into using gnupg PECL module in the past.

What is important though is that this does not break the preview view, 
at least on my machine.  That's the critical part of this ticket.
2012-04-02 07:51:30 Jan Schneider Comment #3 Reply to this comment
And you see correct latin characters in the signature's names in both 
the preview and the popup view?
2012-04-02 03:36:23 Michael Slusarz Comment #2
State ⇒ Feedback
Reply to this comment
Works fine for me, at least w/FF 11 on Win7.
2012-03-30 13:11:19 Jan Schneider State ⇒ Accepted
New Attachment: i18n_ Horde4 hungarian translation.eml Download
 
2012-03-30 13:11:00 Jan Schneider Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Non-UTF-8 content in PGP signatures break preview
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
See attached message. This could be GnuPG's fault, but we should still 
try to catch it.